MyGUI: MyGUI::UserData Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::UserData Class Reference

`#include <MyGUI_WidgetUserData.h>`

Inheritance diagram for MyGUI::UserData:
[legend]

## Public Member Functions
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const

## Detailed Description

UserData is parent of Widget class. Used to store any user data and strings inside widget

Definition at line 17 of file MyGUI_WidgetUserData.h.

## Constructor & Destructor Documentation

## ◆ UserData()

MyGUI::UserData::UserData | ( |  | ) |

Definition at line 14 of file MyGUI_WidgetUserData.cpp.

## ◆ ~UserData()

MyGUI::UserData::~UserData | ( |  | ) |
| virtual

Definition at line 18 of file MyGUI_WidgetUserData.cpp.

## Member Function Documentation

## ◆ _getInternalData()

template<typename ValueType >

ValueType* MyGUI::UserData::_getInternalData | ( | bool | _throw = `true` | ) | const
| inline

Definition at line 55 of file MyGUI_WidgetUserData.h.

## ◆ _setInternalData()

void MyGUI::UserData::_setInternalData | ( | Any | _data | ) |

Definition at line 67 of file MyGUI_WidgetUserData.cpp.

## ◆ clearUserString()

bool MyGUI::UserData::clearUserString | ( | const std::string & | _key | ) |

Delete user string

Definition at line 41 of file MyGUI_WidgetUserData.cpp.

## ◆ clearUserStrings()

void MyGUI::UserData::clearUserStrings | ( |  | ) |

Delete all user strings

Definition at line 57 of file MyGUI_WidgetUserData.cpp.

## ◆ getUserData()

template<typename ValueType >

ValueType* MyGUI::UserData::getUserData | ( | bool | _throw = `true` | ) | const
| inline

Get user data and cast it to ValueType

Definition at line 46 of file MyGUI_WidgetUserData.h.

## ◆ getUserString()

const std::string & MyGUI::UserData::getUserString | ( | const std::string & | _key | ) | const

Get user string or "" if not found

Definition at line 28 of file MyGUI_WidgetUserData.cpp.

## ◆ getUserStrings()

const MapString & MyGUI::UserData::getUserStrings | ( |  | ) | const

Get map of all user strings

Definition at line 36 of file MyGUI_WidgetUserData.cpp.

## ◆ isUserString()

bool MyGUI::UserData::isUserString | ( | const std::string & | _key | ) | const

Return true if user string with such key exist

Definition at line 52 of file MyGUI_WidgetUserData.cpp.

## ◆ setUserData()

void MyGUI::UserData::setUserData | ( | Any | _data | ) |

Set any user data to store inside widget

Definition at line 62 of file MyGUI_WidgetUserData.cpp.

## ◆ setUserString()

void MyGUI::UserData::setUserString | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |

Set user string

Definition at line 22 of file MyGUI_WidgetUserData.cpp.

The documentation for this class was generated from the following files:

- MyGUI_WidgetUserData.h
- MyGUI_WidgetUserData.cpp